KJS::Error Class Reference

`#include <object.h>`

## Static Public Member Functions

static Object | create (ExecState *exec, ErrorType errtype=GeneralError, const char *message=0, int lineno=-1, int sourceId=-1)

## Static Public Attributes

static const char *const *const | errorNames = errorNamesArr

## Detailed Description

Factory methods for error objects.

Definition at line 627 of file object.h.

## Member Function Documentation

Object Error::create | ( | ExecState * | exec,
|  | ErrorType | errtype = `GeneralError`,
|  | const char * | message = `0`,
|  | int | lineno = `-1`,
|  | int | sourceId = `-1`
| ) |  |

static

Factory method for error objects.

Parameters

  exec | The current execution state
  errtype | Type of error.
  message | Optional error message.
  lineno | Optional line number.
  sourceId | Optional source id.

Definition at line 504 of file object.cpp.

## Member Data Documentation

const char *const *const Error::errorNames = errorNamesArr

static

Array of error names corresponding to ErrorType.

Definition at line 645 of file object.h.

The documentation for this class was generated from the following files:

- object.h
- object.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys